import React, { useRef } from "react";
import useMap from "../../../hooks/useMap";
import useMarkedPoints from "./useMarkedPoints";
import RoundInfoPane from "./RoundInfoPane";

export default ({ gameId, round, onNext }) => {
  const {
    roundNum,
    selectedPoint,
    targetPoint,
    score,
    totalScore,
  } = round;
  const mapDivRef = useRef(null);
  const mapRef = useMap(mapDivRef);
  useMarkedPoints(mapRef, selectedPoint, targetPoint);

  return (
    <div className="round-summary">
      <div className="round-summary__map"><div className="map-div" ref={mapDivRef} /></div>
      <RoundInfoPane {...{ gameId, selectedPoint, targetPoint, roundNum, score, totalScore, onNext }}/>
    </div>
  );
};
